<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Анкета (дня)';
include_once '../sys/inc/thead.php';
title();
err();
$arrs=mysql_fetch_array(mysql_query("SELECT * FROM `center_vnim` WHERE `id_user`='".$user['id']."'"));
################################################################################
if(isset($_GET['ok']))
{
header('Location: ?ok2');
}
if(isset($_GET['ok2']))
{
msg('Успешно');
}
################################################################################
if(isset($_GET['del']))
{
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `center_vnim` WHERE `id` = '".intval($_GET['id'])."'"),0)==1)
{
$post=mysql_fetch_array(mysql_query("SELECT * FROM `center_vnim` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
mysql_query("DELETE FROM `center_vnim` WHERE `id` = '$post[id]'");
}

if (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL)
header("Location: ".$_SERVER['HTTP_REFERER']);
else
header("Location: center_vnim.php?".SID);
}
################################################################################
function wtime($timediff){
$oneMinute=60;
$oneHour=60*60;
$oneDay=60*60*24;
$dayfield=floor($timediff/$oneDay);
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour);
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute);
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute));
$time_1="$hourfield ч. $minutefield м. $secondfield сек.";
return $time_1;
}
################################################################################
$action=htmlspecialchars(trim($_GET['action']));
switch ($action){
default:
if (user_access('adm_panel_show')){
echo "<a href='?action=time'>Лидеры (ДНЯ)</a><hr/>\n";}
echo "<b>LM:</b> <u>$user[balls]</u><br />\n
Услуга \"Анкета дня\" позволяет разместить и показывать вашу анкету (по очереди с другими анкетами дня)
на главной странице сайта<br />\n
Продолжительность услуги <u><b>3ч.</b></u><br />\n
Активтруй услугу и вас обязательно заметят.\n";
//////
echo "<hr/>Обращаем ваше внимание. Мы оставляем за собой  право приостановить действие услуги, в случае размешения в вашей анкете (или фото)
оскорбление, мат, реклама, ссылок на другие сайты.<br />\n";
//////
echo "<hr/><b>Цена:</b> 5000 LM.<hr/>\n";
//////
if($arrs['time']>=$time)
{
echo '<b>Длительность услуги: '.wtime($arrs["time"]-time()).'</b>';
}else{
echo "<form action='?action=vip' method='POST'><input type='submit' name='' value='Активировать' />\n";
}
break;
################################################################################
case 'vip':
if ($user['balls']>4999){
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-5000)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("INSERT INTO `center_vnim` (`id_user`, `time`) values('$user[id]', '".($time+10800)."')");
header('Location: ?ok');
}else{
echo "<div class='err'>У вас нету 5000 LM!</div>\n";
}
break;
################################################################################
case 'time':
if (user_access('adm_panel_show')){
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `center_vnim` WHERE `time` > '$time'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `center_vnim` WHERE `time` > '$time' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='gmenu'>\n";
echo "Нет нарушений\n";
echo "  </td>\n";
echo "   </tr>\n";

}
while ($vip = mysql_fetch_assoc($q))
{
echo "   <tr>\n";
$ank=get_user($vip['id_user']);



echo "  <td class='p_t'>\n";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a> \n";
echo "".online($ank['id'])."";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon'])echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
if (user_access('guest_delete'))echo "<a href='?del&amp;id=$vip[id]'>Удалить</a>\n";
}
echo "</table>\n";


if ($k_page>1)str("?action=time&amp;",$k_page,$page); // Вывод страниц
}
break;
################################################################################
}
include_once '../sys/inc/tfoot.php';
?>
